Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAOC.cpp File Reference

`#include "TAOC.h"`
`#include "tao/Typecode.h"`
`#include "ace/OS_NS_string.h"`
`#include "TAOC.i"`

Include dependency graph for TAOC.cpp:

## Namespaces
namespace | TAO
## Functions
CORBA::TypeCode | _tc_TAO_tc_TAO_BufferingConstraintMode (CORBA::tk_alias, sizeof(_oc_TAO_BufferingConstraintMode),(char *)&_oc_TAO_BufferingConstraintMode, 0, sizeof(TAO::BufferingConstraintMode))
CORBA::TypeCode | _tc_TAO_tc_TAO_BufferingConstraint (CORBA::tk_struct, sizeof(_oc_TAO_BufferingConstraint),(char *)&_oc_TAO_BufferingConstraint, 0, sizeof(TAO::BufferingConstraint))
CORBA::TypeCode | _tc_TAO_tc_TAO_BufferingConstraintPolicy (CORBA::tk_objref, sizeof(_oc_TAO_BufferingConstraintPolicy),(char *)&_oc_TAO_BufferingConstraintPolicy, 0, sizeof(TAO::BufferingConstraintPolicy))
## Variables
const CORBA::Long | _oc_TAO_BufferingConstraintMode []
const CORBA::Long | _oc_TAO_BufferingConstraint []
TAO::Collocation_Proxy_Broker *(* | TAO__TAO_BufferingConstraintPolicy_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_TAO_BufferingConstraintPolicy []

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_TAO_BufferingConstraint | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_TAO_BufferingConstraint) | ,
|  | (char *)& | _oc_TAO_BufferingConstraint,
|  | 0 | ,
|  | sizeof(TAO::BufferingConstraint) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_TAO_BufferingConstraintMode | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_TAO_BufferingConstraintMode) | ,
|  | (char *)& | _oc_TAO_BufferingConstraintMode,
|  | 0 | ,
|  | sizeof(TAO::BufferingConstraintMode) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_TAO_BufferingConstraintPolicy | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_TAO_BufferingConstraintPolicy) | ,
|  | (char *)& | _oc_TAO_BufferingConstraintPolicy,
|  | 0 | ,
|  | sizeof(TAO::BufferingConstraintPolicy) |
| ) | `[static]`

## Variable Documentation

const CORBA::Long _oc_TAO_BufferingConstraint[]`[static]`

const CORBA::Long _oc_TAO_BufferingConstraintMode[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      40,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x74616f2f),
      ACE_NTOHL (0x54414f2f),
      ACE_NTOHL (0x42756666),
      ACE_NTOHL (0x6572696e),
      ACE_NTOHL (0x67436f6e),
      ACE_NTOHL (0x73747261),
      ACE_NTOHL (0x696e744d),
      ACE_NTOHL (0x6f64653a),
      ACE_NTOHL (0x312e3000),
        24,
      ACE_NTOHL (0x42756666),
      ACE_NTOHL (0x6572696e),
      ACE_NTOHL (0x67436f6e),
      ACE_NTOHL (0x73747261),
      ACE_NTOHL (0x696e744d),
      ACE_NTOHL (0x6f646500),
        CORBA::tk_ushort,

    }

const CORBA::Long _oc_TAO_BufferingConstraintPolicy[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      42,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x74616f2f),
      ACE_NTOHL (0x54414f2f),
      ACE_NTOHL (0x42756666),
      ACE_NTOHL (0x6572696e),
      ACE_NTOHL (0x67436f6e),
      ACE_NTOHL (0x73747261),
      ACE_NTOHL (0x696e7450),
      ACE_NTOHL (0x6f6c6963),
      ACE_NTOHL (0x793a312e),
      ACE_NTOHL (0x30000000),
        26,
      ACE_NTOHL (0x42756666),
      ACE_NTOHL (0x6572696e),
      ACE_NTOHL (0x67436f6e),
      ACE_NTOHL (0x73747261),
      ACE_NTOHL (0x696e7450),
      ACE_NTOHL (0x6f6c6963),
      ACE_NTOHL (0x79000000),
      }

TAO::Collocation_Proxy_Broker*(* TAO__TAO_BufferingConstraintPolicy_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0